package com.dgtly.sync.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;
import java.util.Date;

/**
 * 立邦雇员数据同步对象 meta_employee_diy
 * 
 * @author qxp
 * @date 2020-07-28
 */
public class MetaEmployeeDiy extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    private String name;

    private String loginName;

    private String email;

    private String mobile;

    private String sapEmployeeId;

    private String sapCostCenterCode;

    private String sapCostCenter;

    private String sapCompanyCode;

    private Long status;

    private String objid1;

    private String contract;

    private String contractName;

    private String contractBegin;

    private String duty;

    private String dutyName;

    private String org;

    private String orgName;

    private String employeePost;

    private String employeePostName;

    private String posty;

    private String poste;

    private String posnc;

    private String bossEmployeeId;

    private String bossName;

    private String bossEmployeePost;

    private String sex;

    private String stext1;

    private String objid2;

    private String stext2;

    private String objid3;

    private String stext3;

    private String objid4;

    private String stext4;

    private String objid5;

    private String stext5;

    private String objid6;

    private String stext6;

    private String objid7;

    private String stext7;
    private String objidQy;
    private String stextQy;
    private String dataversion;

    private Date etlCreatime;


    private String lineId;

    private String packageId;

    private String businessUnit;

    public String getBusinessUnit() {
        return businessUnit;
    }

    public void setBusinessUnit(String businessUnit) {
        this.businessUnit = businessUnit;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setLoginName(String loginName) 
    {
        this.loginName = loginName;
    }

    public String getLoginName() 
    {
        return loginName;
    }
    public void setEmail(String email) 
    {
        this.email = email;
    }

    public String getEmail() 
    {
        return email;
    }
    public void setMobile(String mobile) 
    {
        this.mobile = mobile;
    }

    public String getMobile() 
    {
        return mobile;
    }
    public void setSapEmployeeId(String sapEmployeeId) 
    {
        this.sapEmployeeId = sapEmployeeId;
    }

    public String getSapEmployeeId() 
    {
        return sapEmployeeId;
    }
    public void setSapCostCenterCode(String sapCostCenterCode) 
    {
        this.sapCostCenterCode = sapCostCenterCode;
    }

    public String getSapCostCenterCode() 
    {
        return sapCostCenterCode;
    }
    public void setSapCostCenter(String sapCostCenter) 
    {
        this.sapCostCenter = sapCostCenter;
    }

    public String getSapCostCenter() 
    {
        return sapCostCenter;
    }
    public void setSapCompanyCode(String sapCompanyCode) 
    {
        this.sapCompanyCode = sapCompanyCode;
    }

    public String getSapCompanyCode() 
    {
        return sapCompanyCode;
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }
    public void setObjid1(String objid1) 
    {
        this.objid1 = objid1;
    }

    public String getObjid1() 
    {
        return objid1;
    }
    public void setContract(String contract) 
    {
        this.contract = contract;
    }

    public String getContract() 
    {
        return contract;
    }
    public void setContractName(String contractName) 
    {
        this.contractName = contractName;
    }

    public String getContractName() 
    {
        return contractName;
    }
    public void setContractBegin(String contractBegin) 
    {
        this.contractBegin = contractBegin;
    }

    public String getContractBegin() 
    {
        return contractBegin;
    }
    public void setDuty(String duty) 
    {
        this.duty = duty;
    }

    public String getDuty() 
    {
        return duty;
    }
    public void setDutyName(String dutyName) 
    {
        this.dutyName = dutyName;
    }

    public String getDutyName() 
    {
        return dutyName;
    }
    public void setOrg(String org) 
    {
        this.org = org;
    }

    public String getOrg() 
    {
        return org;
    }
    public void setOrgName(String orgName) 
    {
        this.orgName = orgName;
    }

    public String getOrgName() 
    {
        return orgName;
    }
    public void setEmployeePost(String employeePost) 
    {
        this.employeePost = employeePost;
    }

    public String getEmployeePost() 
    {
        return employeePost;
    }
    public void setEmployeePostName(String employeePostName) 
    {
        this.employeePostName = employeePostName;
    }

    public String getEmployeePostName() 
    {
        return employeePostName;
    }
    public void setPosty(String posty) 
    {
        this.posty = posty;
    }

    public String getPosty() 
    {
        return posty;
    }
    public void setPoste(String poste) 
    {
        this.poste = poste;
    }

    public String getPoste() 
    {
        return poste;
    }
    public void setPosnc(String posnc) 
    {
        this.posnc = posnc;
    }

    public String getPosnc() 
    {
        return posnc;
    }
    public void setBossEmployeeId(String bossEmployeeId) 
    {
        this.bossEmployeeId = bossEmployeeId;
    }

    public String getBossEmployeeId() 
    {
        return bossEmployeeId;
    }
    public void setBossName(String bossName) 
    {
        this.bossName = bossName;
    }

    public String getBossName() 
    {
        return bossName;
    }
    public void setBossEmployeePost(String bossEmployeePost) 
    {
        this.bossEmployeePost = bossEmployeePost;
    }

    public String getBossEmployeePost() 
    {
        return bossEmployeePost;
    }
    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }
    public void setStext1(String stext1) 
    {
        this.stext1 = stext1;
    }

    public String getStext1() 
    {
        return stext1;
    }
    public void setObjid2(String objid2) 
    {
        this.objid2 = objid2;
    }

    public String getObjid2() 
    {
        return objid2;
    }
    public void setStext2(String stext2) 
    {
        this.stext2 = stext2;
    }

    public String getStext2() 
    {
        return stext2;
    }
    public void setObjid3(String objid3) 
    {
        this.objid3 = objid3;
    }

    public String getObjid3() 
    {
        return objid3;
    }
    public void setStext3(String stext3) 
    {
        this.stext3 = stext3;
    }

    public String getStext3() 
    {
        return stext3;
    }
    public void setObjid4(String objid4) 
    {
        this.objid4 = objid4;
    }

    public String getObjid4() 
    {
        return objid4;
    }
    public void setStext4(String stext4) 
    {
        this.stext4 = stext4;
    }

    public String getStext4() 
    {
        return stext4;
    }
    public void setObjid5(String objid5) 
    {
        this.objid5 = objid5;
    }

    public String getObjid5() 
    {
        return objid5;
    }
    public void setStext5(String stext5) 
    {
        this.stext5 = stext5;
    }

    public String getStext5() 
    {
        return stext5;
    }
    public void setObjid6(String objid6) 
    {
        this.objid6 = objid6;
    }

    public String getObjid6() 
    {
        return objid6;
    }
    public void setDataversion(String dataversion) 
    {
        this.dataversion = dataversion;
    }

    public String getObjid7() {
        return objid7;
    }

    public void setObjid7(String objid7) {
        this.objid7 = objid7;
    }

    public String getStext7() {
        return stext7;
    }

    public void setStext7(String stext7) {
        this.stext7 = stext7;
    }

    public String getDataversion()
    {
        return dataversion;
    }
    public void setEtlCreatime(Date etlCreatime) 
    {
        this.etlCreatime = etlCreatime;
    }

    public Date getEtlCreatime() 
    {
        return etlCreatime;
    }
    public void setLineId(String lineId) 
    {
        this.lineId = lineId;
    }

    public String getLineId() 
    {
        return lineId;
    }
    public void setPackageId(String packageId) 
    {
        this.packageId = packageId;
    }

    public String getPackageId() 
    {
        return packageId;
    }

    public String getStext6() {
        return stext6;
    }

    public void setStext6(String stext6) {
        this.stext6 = stext6;
    }

    public String getObjidQy() {
        return objidQy;
    }

    public void setObjidQy(String objidQy) {
        this.objidQy = objidQy;
    }

    public String getStextQy() {
        return stextQy;
    }

    public void setStextQy(String stextQy) {
        this.stextQy = stextQy;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("name", getName())
            .append("loginName", getLoginName())
            .append("email", getEmail())
            .append("mobile", getMobile())
            .append("sapEmployeeId", getSapEmployeeId())
            .append("sapCostCenterCode", getSapCostCenterCode())
            .append("sapCostCenter", getSapCostCenter())
            .append("sapCompanyCode", getSapCompanyCode())
            .append("status", getStatus())
            .append("objid1", getObjid1())
            .append("contract", getContract())
            .append("contractName", getContractName())
            .append("contractBegin", getContractBegin())
            .append("duty", getDuty())
            .append("dutyName", getDutyName())
            .append("org", getOrg())
            .append("orgName", getOrgName())
            .append("employeePost", getEmployeePost())
            .append("employeePostName", getEmployeePostName())
            .append("posty", getPosty())
            .append("poste", getPoste())
            .append("posnc", getPosnc())
            .append("bossEmployeeId", getBossEmployeeId())
            .append("bossName", getBossName())
            .append("bossEmployeePost", getBossEmployeePost())
            .append("sex", getSex())
            .append("stext1", getStext1())
            .append("objid2", getObjid2())
            .append("stext2", getStext2())
            .append("objid3", getObjid3())
            .append("stext3", getStext3())
            .append("objid4", getObjid4())
            .append("stext4", getStext4())
            .append("objid5", getObjid5())
            .append("stext5", getStext5())
            .append("objid6", getObjid6())
            .append("dataversion", getDataversion())
            .append("etlCreatime", getEtlCreatime())
            .append("lineId", getLineId())
            .append("packageId", getPackageId())
            .toString();
    }
}
